Safe Haskell | Safe

Table

Description

This tests the table markup

Synopsis

- tableWithHeader :: a -> a
- tableWithoutHeader :: a -> a
- fancyTable :: a -> a

# Documentation

tableWithHeader :: a -> a #

Table with header.

code | message | description
--- | --- | ---
200 | `OK` | operation successful
204 | `No Content` | operation successful, no body returned

tableWithoutHeader :: a -> a #

Table without header.

200 | `OK` | operation successful
204 | `No Content` | operation successful, no body returned
404 | `Not Found` | resource not found

fancyTable :: a -> a #

Fancy table.

Header row, column 1 (header rows optional) | Header 2 | Header 3 | Header 4
--- | --- | --- | ---
body row 1, column 1 | column 2 | column 3 | column 4
`tableWithHeader` | Cells may span columns.
body row 3 | Cells may span rows. | \[ f(n) = \sum_{i=1} \]
body row 4